Subject: typos

From: "Erik Rijkers" <[email-masked]>
Date: Mon, 24 Mar 2014 07:40:33 +0100

A few 'the the' typos in code & docs.

--- src/backend/access/transam/xlog.c.orig	2014-03-23 22:43:44.864504319 +0100
+++ src/backend/access/transam/xlog.c	2014-03-23 22:44:02.735634100 +0100
@@ -1089,7 +1089,7 @@
 	 * has progressed. There is a small fixed number of insertion locks,
 	 * determined by the num_xloginsert_locks GUC. When an inserter crosses a
 	 * page boundary, it updates the value stored in the lock to the how far it
-	 * has inserted, to allow the the previous buffer to be flushed.
+	 * has inserted, to allow the previous buffer to be flushed.
 	 *
 	 * Holding onto an insertion lock also protects RedoRecPtr and
 	 * fullPageWrites from changing until the insertion is finished.
--- doc/src/sgml/json.sgml.orig	2014-03-23 22:44:19.622807673 +0100
+++ doc/src/sgml/json.sgml	2014-03-23 22:44:37.082954235 +0100
@@ -24,7 +24,7 @@
   There are two JSON data types: <type>json</> and <type>jsonb</>.
   Both accept <emphasis>almost</emphasis> identical sets of values as
   input.  The major practical difference is one of efficiency.  The
-  <type>json</> data type stores an exact copy of the the input text,
+  <type>json</> data type stores an exact copy of the input text,
   which processing functions must continually reparse, while
   <type>jsonb</> data is stored in a decomposed binary format that
   makes it slightly less efficient to input due to added serialization
--- doc/src/sgml/logicaldecoding.sgml.orig	2014-03-23 22:44:54.198118825 +0100
+++ doc/src/sgml/logicaldecoding.sgml	2014-03-23 22:45:14.746112339 +0100
@@ -169,7 +169,7 @@
     </indexterm>
     <title>Logical Decoding</title>
     <para>
-     Logical decoding is the the process of extracting all persistent changes
+     Logical decoding is the process of extracting all persistent changes
      to a database's tables into a coherent, easy to understand format which
      can be interpreted without detailed knowledge of the database's internal
      state.

-- 
Sent via pgsql-hackers mailing list ([email-masked])
To make changes to your subscription:
http://www.postgresql.org/mailpref/pgsql-hackers

---

From: Heikki Linnakangas <[email-masked]>
Date: Mon, 24 Mar 2014 08:42:58 +0200

> A few 'the the' typos in code & docs.

Thanks, fixed.

- Heikki